import os
import json

from tests.utils import LayoutEngineTestCase, build_w3c_test


class Cssflexbox1TestCase(LayoutEngineTestCase):
    test_align_content_001 = build_w3c_test('css-flexbox-1/align-content-001.json')
    test_align_content_002 = build_w3c_test('css-flexbox-1/align-content-002.json')
    test_align_content_003 = build_w3c_test('css-flexbox-1/align-content-003.json')
    test_align_content_004 = build_w3c_test('css-flexbox-1/align-content-004.json')
    test_align_content_005 = build_w3c_test('css-flexbox-1/align-content-005.json')
    test_align_content_006 = build_w3c_test('css-flexbox-1/align-content-006.json')
    test_align_content_center = build_w3c_test('css-flexbox-1/align-content_center.json')
    test_align_content_flex_end = build_w3c_test('css-flexbox-1/align-content_flex-end.json')
    test_align_content_space_around = build_w3c_test('css-flexbox-1/align-content_space-around.json')
    test_align_content_space_between = build_w3c_test('css-flexbox-1/align-content_space-between.json')
    test_align_content_stretch = build_w3c_test('css-flexbox-1/align-content_stretch.json')
    test_align_items_001 = build_w3c_test('css-flexbox-1/align-items-001.json')
    test_align_items_002 = build_w3c_test('css-flexbox-1/align-items-002.json')
    test_align_items_003 = build_w3c_test('css-flexbox-1/align-items-003.json')
    test_align_items_004 = build_w3c_test('css-flexbox-1/align-items-004.json')
    test_align_items_005 = build_w3c_test('css-flexbox-1/align-items-005.json')
    test_align_self_004 = build_w3c_test('css-flexbox-1/align-self-004.json')
    test_align_self_006 = build_w3c_test('css-flexbox-1/align-self-006.json')
    test_align_self_010 = build_w3c_test('css-flexbox-1/align-self-010.json')
    test_align_self_011 = build_w3c_test('css-flexbox-1/align-self-011.json')
    test_align_self_012 = build_w3c_test('css-flexbox-1/align-self-012.json')
    test_css_box_justify_content = build_w3c_test('css-flexbox-1/css-box-justify-content.json')
    test_css_flexbox_column_reverse_wrap_reverse = build_w3c_test('css-flexbox-1/css-flexbox-column-reverse-wrap-reverse.json')
    test_css_flexbox_column_reverse_wrap = build_w3c_test('css-flexbox-1/css-flexbox-column-reverse-wrap.json')
    test_css_flexbox_column_reverse = build_w3c_test('css-flexbox-1/css-flexbox-column-reverse.json')
    test_css_flexbox_column_wrap_reverse = build_w3c_test('css-flexbox-1/css-flexbox-column-wrap-reverse.json')
    test_css_flexbox_column_wrap = build_w3c_test('css-flexbox-1/css-flexbox-column-wrap.json')
    test_css_flexbox_column = build_w3c_test('css-flexbox-1/css-flexbox-column.json')
    test_css_flexbox_height_animation_stretch = build_w3c_test('css-flexbox-1/css-flexbox-height-animation-stretch.json')
    test_css_flexbox_img_expand_evenly = build_w3c_test('css-flexbox-1/css-flexbox-img-expand-evenly.json')
    test_display_flex_001 = build_w3c_test('css-flexbox-1/display-flex-001.json')
    test_flex_001 = build_w3c_test('css-flexbox-1/flex-001.json')
    test_flex_basis_001 = build_w3c_test('css-flexbox-1/flex-basis-001.json')
    test_flex_basis_005 = build_w3c_test('css-flexbox-1/flex-basis-005.json')
    test_flex_basis_006 = build_w3c_test('css-flexbox-1/flex-basis-006.json')
    test_flex_basis_007 = build_w3c_test('css-flexbox-1/flex-basis-007.json')
    test_flex_basis_008 = build_w3c_test('css-flexbox-1/flex-basis-008.json')
    test_flex_box_wrap = build_w3c_test('css-flexbox-1/flex-box-wrap.json')
    test_flex_container_margin = build_w3c_test('css-flexbox-1/flex-container-margin.json')
    test_flex_direction_row_vertical = build_w3c_test('css-flexbox-1/flex-direction-row-vertical.json')
    test_flex_direction_column_reverse = build_w3c_test('css-flexbox-1/flex-direction_column-reverse.json')
    test_flex_direction_column = build_w3c_test('css-flexbox-1/flex-direction_column.json')
    test_flex_direction_row_reverse = build_w3c_test('css-flexbox-1/flex-direction_row-reverse.json')
    test_flex_direction_row = build_w3c_test('css-flexbox-1/flex-direction_row.json')
    test_flex_flexitem_childmargin = build_w3c_test('css-flexbox-1/flex-flexitem-childmargin.json')
    test_flex_flexitem_percentage_prescation = build_w3c_test('css-flexbox-1/flex-flexitem-percentage-prescation.json')
    test_flex_flow_001 = build_w3c_test('css-flexbox-1/flex-flow-001.json')
    test_flex_flow_002 = build_w3c_test('css-flexbox-1/flex-flow-002.json')
    test_flex_flow_003 = build_w3c_test('css-flexbox-1/flex-flow-003.json')
    test_flex_flow_004 = build_w3c_test('css-flexbox-1/flex-flow-004.json')
    test_flex_flow_005 = build_w3c_test('css-flexbox-1/flex-flow-005.json')
    test_flex_flow_006 = build_w3c_test('css-flexbox-1/flex-flow-006.json')
    test_flex_flow_007 = build_w3c_test('css-flexbox-1/flex-flow-007.json')
    test_flex_flow_008 = build_w3c_test('css-flexbox-1/flex-flow-008.json')
    test_flex_flow_009 = build_w3c_test('css-flexbox-1/flex-flow-009.json')
    test_flex_flow_010 = build_w3c_test('css-flexbox-1/flex-flow-010.json')
    test_flex_flow_011 = build_w3c_test('css-flexbox-1/flex-flow-011.json')
    test_flex_flow_012 = build_w3c_test('css-flexbox-1/flex-flow-012.json')
    test_flex_grow_001 = build_w3c_test('css-flexbox-1/flex-grow-001.json')
    test_flex_order = build_w3c_test('css-flexbox-1/flex-order.json')
    test_flex_shrink_006 = build_w3c_test('css-flexbox-1/flex-shrink-006.json')
    test_flex_vertical_align_effect = build_w3c_test('css-flexbox-1/flex-vertical-align-effect.json')
    test_flex_wrap_001 = build_w3c_test('css-flexbox-1/flex-wrap-001.json')
    test_flex_wrap_nowrap = build_w3c_test('css-flexbox-1/flex-wrap_nowrap.json')
    test_flex_wrap_wrap_reverse = build_w3c_test('css-flexbox-1/flex-wrap_wrap-reverse.json')
    test_flex_wrap_wrap = build_w3c_test('css-flexbox-1/flex-wrap_wrap.json')
    test_flexbox_flex_direction_column_reverse = build_w3c_test('css-flexbox-1/flexbox-flex-direction-column-reverse.json')
    test_flexbox_flex_direction_column = build_w3c_test('css-flexbox-1/flexbox-flex-direction-column.json')
    test_flexbox_flex_direction_default = build_w3c_test('css-flexbox-1/flexbox-flex-direction-default.json')
    test_flexbox_flex_direction_row_reverse = build_w3c_test('css-flexbox-1/flexbox-flex-direction-row-reverse.json')
    test_flexbox_flex_direction_row = build_w3c_test('css-flexbox-1/flexbox-flex-direction-row.json')
    test_flexbox_flex_wrap_default = build_w3c_test('css-flexbox-1/flexbox-flex-wrap-default.json')
    test_flexbox_flex_wrap_flexing = build_w3c_test('css-flexbox-1/flexbox-flex-wrap-flexing.json')
    test_flexbox_flex_wrap_nowrap = build_w3c_test('css-flexbox-1/flexbox-flex-wrap-nowrap.json')
    test_flexbox_flex_wrap_wrap_reverse = build_w3c_test('css-flexbox-1/flexbox-flex-wrap-wrap-reverse.json')
    test_flexbox_flex_wrap_wrap = build_w3c_test('css-flexbox-1/flexbox-flex-wrap-wrap.json')
    test_flexbox_order_from_lowest = build_w3c_test('css-flexbox-1/flexbox-order-from-lowest.json')
    test_flexbox_order_only_flexitems = build_w3c_test('css-flexbox-1/flexbox-order-only-flexitems.json')
    test_flexbox_absolute_atomic = build_w3c_test('css-flexbox-1/flexbox_absolute-atomic.json')
    test_flexbox_align_content_center = build_w3c_test('css-flexbox-1/flexbox_align-content-center.json')
    test_flexbox_align_content_flexend = build_w3c_test('css-flexbox-1/flexbox_align-content-flexend.json')
    test_flexbox_align_content_flexstart = build_w3c_test('css-flexbox-1/flexbox_align-content-flexstart.json')
    test_flexbox_align_content_spacearound = build_w3c_test('css-flexbox-1/flexbox_align-content-spacearound.json')
    test_flexbox_align_content_spacebetween = build_w3c_test('css-flexbox-1/flexbox_align-content-spacebetween.json')
    test_flexbox_align_content_stretch_2 = build_w3c_test('css-flexbox-1/flexbox_align-content-stretch-2.json')
    test_flexbox_align_content_stretch = build_w3c_test('css-flexbox-1/flexbox_align-content-stretch.json')
    test_flexbox_align_items_baseline = build_w3c_test('css-flexbox-1/flexbox_align-items-baseline.json')
    test_flexbox_align_items_center_2 = build_w3c_test('css-flexbox-1/flexbox_align-items-center-2.json')
    test_flexbox_align_items_center = build_w3c_test('css-flexbox-1/flexbox_align-items-center.json')
    test_flexbox_align_items_flexend_2 = build_w3c_test('css-flexbox-1/flexbox_align-items-flexend-2.json')
    test_flexbox_align_items_flexend = build_w3c_test('css-flexbox-1/flexbox_align-items-flexend.json')
    test_flexbox_align_items_flexstart_2 = build_w3c_test('css-flexbox-1/flexbox_align-items-flexstart-2.json')
    test_flexbox_align_items_flexstart = build_w3c_test('css-flexbox-1/flexbox_align-items-flexstart.json')
    test_flexbox_align_items_stretch_2 = build_w3c_test('css-flexbox-1/flexbox_align-items-stretch-2.json')
    test_flexbox_align_items_stretch = build_w3c_test('css-flexbox-1/flexbox_align-items-stretch.json')
    test_flexbox_align_self_auto = build_w3c_test('css-flexbox-1/flexbox_align-self-auto.json')
    test_flexbox_align_self_baseline = build_w3c_test('css-flexbox-1/flexbox_align-self-baseline.json')
    test_flexbox_align_self_center = build_w3c_test('css-flexbox-1/flexbox_align-self-center.json')
    test_flexbox_align_self_flexend = build_w3c_test('css-flexbox-1/flexbox_align-self-flexend.json')
    test_flexbox_align_self_flexstart = build_w3c_test('css-flexbox-1/flexbox_align-self-flexstart.json')
    test_flexbox_align_self_stretch = build_w3c_test('css-flexbox-1/flexbox_align-self-stretch.json')
    test_flexbox_block = build_w3c_test('css-flexbox-1/flexbox_block.json')
    test_flexbox_columns_flexitems_2 = build_w3c_test('css-flexbox-1/flexbox_columns-flexitems-2.json')
    test_flexbox_columns_flexitems = build_w3c_test('css-flexbox-1/flexbox_columns-flexitems.json')
    test_flexbox_columns = build_w3c_test('css-flexbox-1/flexbox_columns.json')
    test_flexbox_direction_column_reverse = build_w3c_test('css-flexbox-1/flexbox_direction-column-reverse.json')
    test_flexbox_direction_column = build_w3c_test('css-flexbox-1/flexbox_direction-column.json')
    test_flexbox_direction_row_reverse = build_w3c_test('css-flexbox-1/flexbox_direction-row-reverse.json')
    test_flexbox_display = build_w3c_test('css-flexbox-1/flexbox_display.json')
    test_flexbox_first_line = build_w3c_test('css-flexbox-1/flexbox_first-line.json')
    test_flexbox_flex_0_0_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-0-unitless.json')
    test_flexbox_flex_0_0_0 = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-0.json')
    test_flexbox_flex_0_0_1_unitless_basis = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-1-unitless-basis.json')
    test_flexbox_flex_0_0_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-auto-shrink.json')
    test_flexbox_flex_0_0_auto = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-auto.json')
    test_flexbox_flex_0_0_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-N-shrink.json')
    test_flexbox_flex_0_0_N_unitless_basis = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-N-unitless-basis.json')
    test_flexbox_flex_0_0_N = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-N.json')
    test_flexbox_flex_0_0_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-Npercent-shrink.json')
    test_flexbox_flex_0_0_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-0-0-Npercent.json')
    test_flexbox_flex_0_0 = build_w3c_test('css-flexbox-1/flexbox_flex-0-0.json')
    test_flexbox_flex_0_1_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-0-unitless.json')
    test_flexbox_flex_0_1_0 = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-0.json')
    test_flexbox_flex_0_1_1_unitless_basis = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-1-unitless-basis.json')
    test_flexbox_flex_0_1_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-auto-shrink.json')
    test_flexbox_flex_0_1_auto = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-auto.json')
    test_flexbox_flex_0_1_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-N-shrink.json')
    test_flexbox_flex_0_1_N_unitless_basis = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-N-unitless-basis.json')
    test_flexbox_flex_0_1_N = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-N.json')
    test_flexbox_flex_0_1_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-Npercent-shrink.json')
    test_flexbox_flex_0_1_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-0-1-Npercent.json')
    test_flexbox_flex_0_1 = build_w3c_test('css-flexbox-1/flexbox_flex-0-1.json')
    test_flexbox_flex_0_N_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-0-unitless.json')
    test_flexbox_flex_0_N_0 = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-0.json')
    test_flexbox_flex_0_N_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-auto-shrink.json')
    test_flexbox_flex_0_N_auto = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-auto.json')
    test_flexbox_flex_0_N_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-N-shrink.json')
    test_flexbox_flex_0_N_N = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-N.json')
    test_flexbox_flex_0_N_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-Npercent-shrink.json')
    test_flexbox_flex_0_N_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-0-N-Npercent.json')
    test_flexbox_flex_0_N = build_w3c_test('css-flexbox-1/flexbox_flex-0-N.json')
    test_flexbox_flex_1_0_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-0-unitless.json')
    test_flexbox_flex_1_0_0 = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-0.json')
    test_flexbox_flex_1_0_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-auto-shrink.json')
    test_flexbox_flex_1_0_auto = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-auto.json')
    test_flexbox_flex_1_0_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-N-shrink.json')
    test_flexbox_flex_1_0_N = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-N.json')
    test_flexbox_flex_1_0_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-Npercent-shrink.json')
    test_flexbox_flex_1_0_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-1-0-Npercent.json')
    test_flexbox_flex_1_0 = build_w3c_test('css-flexbox-1/flexbox_flex-1-0.json')
    test_flexbox_flex_1_1_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-0-unitless.json')
    test_flexbox_flex_1_1_0 = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-0.json')
    test_flexbox_flex_1_1_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-auto-shrink.json')
    test_flexbox_flex_1_1_auto = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-auto.json')
    test_flexbox_flex_1_1_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-N-shrink.json')
    test_flexbox_flex_1_1_N = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-N.json')
    test_flexbox_flex_1_1_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-Npercent-shrink.json')
    test_flexbox_flex_1_1_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-1-1-Npercent.json')
    test_flexbox_flex_1_1 = build_w3c_test('css-flexbox-1/flexbox_flex-1-1.json')
    test_flexbox_flex_1_N_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-0-unitless.json')
    test_flexbox_flex_1_N_0 = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-0.json')
    test_flexbox_flex_1_N_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-auto-shrink.json')
    test_flexbox_flex_1_N_auto = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-auto.json')
    test_flexbox_flex_1_N_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-N-shrink.json')
    test_flexbox_flex_1_N_N = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-N.json')
    test_flexbox_flex_1_N_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-Npercent-shrink.json')
    test_flexbox_flex_1_N_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-1-N-Npercent.json')
    test_flexbox_flex_1_N = build_w3c_test('css-flexbox-1/flexbox_flex-1-N.json')
    test_flexbox_flex_basis_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-basis-shrink.json')
    test_flexbox_flex_basis = build_w3c_test('css-flexbox-1/flexbox_flex-basis.json')
    test_flexbox_flex_N_0_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-0-unitless.json')
    test_flexbox_flex_N_0_0 = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-0.json')
    test_flexbox_flex_N_0_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-auto-shrink.json')
    test_flexbox_flex_N_0_auto = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-auto.json')
    test_flexbox_flex_N_0_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-N-shrink.json')
    test_flexbox_flex_N_0_N = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-N.json')
    test_flexbox_flex_N_0_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-Npercent-shrink.json')
    test_flexbox_flex_N_0_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-N-0-Npercent.json')
    test_flexbox_flex_N_0 = build_w3c_test('css-flexbox-1/flexbox_flex-N-0.json')
    test_flexbox_flex_N_1_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-0-unitless.json')
    test_flexbox_flex_N_1_0 = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-0.json')
    test_flexbox_flex_N_1_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-auto-shrink.json')
    test_flexbox_flex_N_1_auto = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-auto.json')
    test_flexbox_flex_N_1_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-N-shrink.json')
    test_flexbox_flex_N_1_N = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-N.json')
    test_flexbox_flex_N_1_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-Npercent-shrink.json')
    test_flexbox_flex_N_1_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-N-1-Npercent.json')
    test_flexbox_flex_N_1 = build_w3c_test('css-flexbox-1/flexbox_flex-N-1.json')
    test_flexbox_flex_N_N_0_unitless = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-0-unitless.json')
    test_flexbox_flex_N_N_0 = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-0.json')
    test_flexbox_flex_N_N_auto_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-auto-shrink.json')
    test_flexbox_flex_N_N_auto = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-auto.json')
    test_flexbox_flex_N_N_N_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-N-shrink.json')
    test_flexbox_flex_N_N_N = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-N.json')
    test_flexbox_flex_N_N_Npercent_shrink = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-Npercent-shrink.json')
    test_flexbox_flex_N_N_Npercent = build_w3c_test('css-flexbox-1/flexbox_flex-N-N-Npercent.json')
    test_flexbox_flex_N_N = build_w3c_test('css-flexbox-1/flexbox_flex-N-N.json')
    test_flexbox_flex_natural_mixed_basis_auto = build_w3c_test('css-flexbox-1/flexbox_flex-natural-mixed-basis-auto.json')
    test_flexbox_flex_natural_mixed_basis = build_w3c_test('css-flexbox-1/flexbox_flex-natural-mixed-basis.json')
    test_flexbox_flex_natural_variable_auto_basis = build_w3c_test('css-flexbox-1/flexbox_flex-natural-variable-auto-basis.json')
    test_flexbox_flex_natural_variable_zero_basis = build_w3c_test('css-flexbox-1/flexbox_flex-natural-variable-zero-basis.json')
    test_flexbox_flow_column_reverse_wrap_reverse = build_w3c_test('css-flexbox-1/flexbox_flow-column-reverse-wrap-reverse.json')
    test_flexbox_flow_column_reverse_wrap = build_w3c_test('css-flexbox-1/flexbox_flow-column-reverse-wrap.json')
    test_flexbox_flow_column_wrap_reverse = build_w3c_test('css-flexbox-1/flexbox_flow-column-wrap-reverse.json')
    test_flexbox_flow_column_wrap = build_w3c_test('css-flexbox-1/flexbox_flow-column-wrap.json')
    test_flexbox_flow_row_wrap_reverse = build_w3c_test('css-flexbox-1/flexbox_flow-row-wrap-reverse.json')
    test_flexbox_flow_row_wrap = build_w3c_test('css-flexbox-1/flexbox_flow-row-wrap.json')
    test_flexbox_generated_flex = build_w3c_test('css-flexbox-1/flexbox_generated-flex.json')
    test_flexbox_generated_nested_flex = build_w3c_test('css-flexbox-1/flexbox_generated-nested-flex.json')
    test_flexbox_generated = build_w3c_test('css-flexbox-1/flexbox_generated.json')
    test_flexbox_inline_abspos = build_w3c_test('css-flexbox-1/flexbox_inline-abspos.json')
    test_flexbox_inline_float = build_w3c_test('css-flexbox-1/flexbox_inline-float.json')
    test_flexbox_inline = build_w3c_test('css-flexbox-1/flexbox_inline.json')
    test_flexbox_item_bottom_float = build_w3c_test('css-flexbox-1/flexbox_item-bottom-float.json')
    test_flexbox_item_float = build_w3c_test('css-flexbox-1/flexbox_item-float.json')
    test_flexbox_item_top_float = build_w3c_test('css-flexbox-1/flexbox_item-top-float.json')
    test_flexbox_item_vertical_align = build_w3c_test('css-flexbox-1/flexbox_item-vertical-align.json')
    test_flexbox_justifycontent_center_overflow = build_w3c_test('css-flexbox-1/flexbox_justifycontent-center-overflow.json')
    test_flexbox_justifycontent_center = build_w3c_test('css-flexbox-1/flexbox_justifycontent-center.json')
    test_flexbox_justifycontent_flex_end = build_w3c_test('css-flexbox-1/flexbox_justifycontent-flex-end.json')
    test_flexbox_justifycontent_flex_start = build_w3c_test('css-flexbox-1/flexbox_justifycontent-flex-start.json')
    test_flexbox_justifycontent_spacearound_negative = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacearound-negative.json')
    test_flexbox_justifycontent_spacearound_only = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacearound-only.json')
    test_flexbox_justifycontent_spacearound = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacearound.json')
    test_flexbox_justifycontent_spacebetween_negative = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacebetween-negative.json')
    test_flexbox_justifycontent_spacebetween_only = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacebetween-only.json')
    test_flexbox_justifycontent_spacebetween = build_w3c_test('css-flexbox-1/flexbox_justifycontent-spacebetween.json')
    test_flexbox_margin_auto_overflow_2 = build_w3c_test('css-flexbox-1/flexbox_margin-auto-overflow-2.json')
    test_flexbox_margin_auto_overflow = build_w3c_test('css-flexbox-1/flexbox_margin-auto-overflow.json')
    test_flexbox_margin_auto = build_w3c_test('css-flexbox-1/flexbox_margin-auto.json')
    test_flexbox_margin_collapse = build_w3c_test('css-flexbox-1/flexbox_margin-collapse.json')
    test_flexbox_margin_left_ex = build_w3c_test('css-flexbox-1/flexbox_margin-left-ex.json')
    test_flexbox_margin = build_w3c_test('css-flexbox-1/flexbox_margin.json')
    test_flexbox_nested_flex = build_w3c_test('css-flexbox-1/flexbox_nested-flex.json')
    test_flexbox_object = build_w3c_test('css-flexbox-1/flexbox_object.json')
    test_flexbox_order_abspos_space_around = build_w3c_test('css-flexbox-1/flexbox_order-abspos-space-around.json')
    test_flexbox_order_box = build_w3c_test('css-flexbox-1/flexbox_order-box.json')
    test_flexbox_order = build_w3c_test('css-flexbox-1/flexbox_order.json')
    test_flexbox_rowspan_overflow_automatic = build_w3c_test('css-flexbox-1/flexbox_rowspan-overflow-automatic.json')
    test_flexbox_rowspan_overflow = build_w3c_test('css-flexbox-1/flexbox_rowspan-overflow.json')
    test_flexbox_rowspan = build_w3c_test('css-flexbox-1/flexbox_rowspan.json')
    test_flexbox_rtl_direction = build_w3c_test('css-flexbox-1/flexbox_rtl-direction.json')
    test_flexbox_rtl_flow_reverse = build_w3c_test('css-flexbox-1/flexbox_rtl-flow-reverse.json')
    test_flexbox_rtl_flow = build_w3c_test('css-flexbox-1/flexbox_rtl-flow.json')
    test_flexbox_rtl_order = build_w3c_test('css-flexbox-1/flexbox_rtl-order.json')
    test_flexbox_stf_abspos = build_w3c_test('css-flexbox-1/flexbox_stf-abspos.json')
    test_flexbox_stf_fixpos = build_w3c_test('css-flexbox-1/flexbox_stf-fixpos.json')
    test_flexbox_stf_float = build_w3c_test('css-flexbox-1/flexbox_stf-float.json')
    test_flexbox_stf_inline_block = build_w3c_test('css-flexbox-1/flexbox_stf-inline-block.json')
    test_flexbox_stf_table_caption = build_w3c_test('css-flexbox-1/flexbox_stf-table-caption.json')
    test_flexbox_stf_table_cell = build_w3c_test('css-flexbox-1/flexbox_stf-table-cell.json')
    test_flexbox_stf_table_row_group = build_w3c_test('css-flexbox-1/flexbox_stf-table-row-group.json')
    test_flexbox_stf_table_row = build_w3c_test('css-flexbox-1/flexbox_stf-table-row.json')
    test_flexbox_stf_table_singleline_2 = build_w3c_test('css-flexbox-1/flexbox_stf-table-singleline-2.json')
    test_flexbox_stf_table_singleline = build_w3c_test('css-flexbox-1/flexbox_stf-table-singleline.json')
    test_flexbox_stf_table = build_w3c_test('css-flexbox-1/flexbox_stf-table.json')
    test_flexbox_table_fixed_layout = build_w3c_test('css-flexbox-1/flexbox_table-fixed-layout.json')
    test_flexbox_visibility_collapse_line_wrapping = build_w3c_test('css-flexbox-1/flexbox_visibility-collapse-line-wrapping.json')
    test_flexbox_visibility_collapse = build_w3c_test('css-flexbox-1/flexbox_visibility-collapse.json')
    test_flexbox_width_overflow = build_w3c_test('css-flexbox-1/flexbox_width-overflow.json')
    test_flexbox_wrap_long = build_w3c_test('css-flexbox-1/flexbox_wrap-long.json')
    test_flexbox_wrap_reverse = build_w3c_test('css-flexbox-1/flexbox_wrap-reverse.json')
    test_flexbox_wrap = build_w3c_test('css-flexbox-1/flexbox_wrap.json')
    test_flexbox_writing_mode_vertical_lays_out_contents_from_top_to_bottom = build_w3c_test('css-flexbox-1/flexbox_writing_mode_vertical_lays_out_contents_from_top_to_bottom.json')
    test_Flexible_order = build_w3c_test('css-flexbox-1/Flexible-order.json')
    test_justify_content_001 = build_w3c_test('css-flexbox-1/justify-content-001.json')
    test_justify_content_002 = build_w3c_test('css-flexbox-1/justify-content-002.json')
    test_justify_content_003 = build_w3c_test('css-flexbox-1/justify-content-003.json')
    test_justify_content_004 = build_w3c_test('css-flexbox-1/justify-content-004.json')
    test_justify_content_005 = build_w3c_test('css-flexbox-1/justify-content-005.json')
    test_justify_content_center = build_w3c_test('css-flexbox-1/justify-content_center.json')
    test_justify_content_flex_end = build_w3c_test('css-flexbox-1/justify-content_flex-end.json')
    test_justify_content_flex_start = build_w3c_test('css-flexbox-1/justify-content_flex-start.json')
    test_justify_content_space_around = build_w3c_test('css-flexbox-1/justify-content_space-around.json')
    test_justify_content_space_between = build_w3c_test('css-flexbox-1/justify-content_space-between.json')
    test_order_001 = build_w3c_test('css-flexbox-1/order-001.json')
    test_ttwf_reftest_flex_align_content_center = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-align-content-center.json')
    test_ttwf_reftest_flex_align_content_end = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-align-content-end.json')
    test_ttwf_reftest_flex_align_content_space_around = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-align-content-space-around.json')
    test_ttwf_reftest_flex_align_content_space_between = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-align-content-space-between.json')
    test_ttwf_reftest_flex_align_content_start = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-align-content-start.json')
    test_ttwf_reftest_flex_base = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-base.json')
    test_ttwf_reftest_flex_direction_column_reverse = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-direction-column-reverse.json')
    test_ttwf_reftest_flex_direction_column = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-direction-column.json')
    test_ttwf_reftest_flex_direction_row_reverse = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-direction-row-reverse.json')
    test_ttwf_reftest_flex_inline = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-inline.json')
    test_ttwf_reftest_flex_order = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-order.json')
    test_ttwf_reftest_flex_wrap_reverse = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-wrap-reverse.json')
    test_ttwf_reftest_flex_wrap = build_w3c_test('css-flexbox-1/ttwf-reftest-flex-wrap.json')
    test_visibility_collapse_001 = build_w3c_test('css-flexbox-1/visibility-collapse-001.json')
